# OpenLayers.Format.OWSCommon.v1

Common readers and writers for OWSCommon v1.X formats

Summary

OpenLayers.Format.OWSCommon.v1 | Common readers and writers for OWSCommon v1.X formats
Properties and Functions |
regExes | Compiled regular expressions for manipulating strings.
read |
readers | Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name.
writers | As a compliment to the readers property, this structure contains public writing functions grouped by namespace alias and named like the node names they produce.

### Properties and Functions

### regExes

Compiled regular expressions for manipulating strings.

### read

> read: function( | data,
> | options | )

#### Parameters

data | {DOMElement} An OWSCommon document element.
options | {Object} Options for the reader.

#### Returns

{Object} An object representing the OWSCommon document.

### readers

Contains public functions, grouped by namespace prefix, that will be applied when a namespaced node is found matching the function name. The function will be applied in the scope of this parser with two arguments: the node being read and a context object passed from the parent.

### writers

As a compliment to the readers property, this structure contains public writing functions grouped by namespace alias and named like the node names they produce.

> read: function( | data,
> | options | )

Close